Bug 431013 - Review Request: perl-CSS-Squish - Compact many CSS files into one big file
Review Request: perl-CSS-Squish - Compact many CSS files into one big file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 431014
  Show dependency treegraph
 
Reported: 2008-01-30 23:32 EST by Ralf Corsepius
Modified: 2009-01-23 18:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 20:51:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-01-30 23:32:11 EST
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-CSS-Squish.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-CSS-Squish-0.07-1.fc8.src.rpm
Description: 
This module takes a list of CSS files and concatenates them, making sure to
honor any valid @import statements included in the files.

This package is a new prerequisite of the recently released new version 3.6.6 of rt3 (request-tracker).
Comment 1 Parag AN(पराग) 2008-01-31 00:34:13 EST
t/06-server-relative-urls.....skipped
        all skipped: Functionality non-existant.  (and tests incomplete.)
Is this expected or need any missing BR?
Comment 2 Ralf Corsepius 2008-01-31 00:44:40 EST
These are expected.
Comment 3 Parag AN(पराग) 2008-01-31 09:56:44 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d992129bf96368a504fe9c67b6d3e622  CSS-Squish-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
t/00-use......................ok
t/01-basic....................ok
t/02-edge-cases...............ok
t/03-skip-http................ok
t/04-recursion................ok
t/05-basic-loop-prevention....ok
t/06-server-relative-urls.....skipped
        all skipped: Functionality non-existant.  (and tests incomplete.)
t/07-basic-extra-roots........ok
t/99-pod-coverage.............ok
t/99-pod......................ok
All tests successful, 1 test skipped.
Files=10, Tests=15,  1 wallclock secs ( 0.58 cusr +  0.12 csys =  0.70 CPU)
+ Package  perl-CSS-Squish-0.07-1.fc9 ->
  Provides: perl(CSS::Squish) = 0.07
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(File::Spec) perl(Scalar::Util)
perl(URI) perl(URI::file) perl(strict) perl(warnings)

APPROVED.

Comment 4 Ralf Corsepius 2008-02-01 00:59:55 EST
New Package CVS Request
=======================
Package Name: perl-CSS-Squish
Short Description: Compact many CSS files into one big file
Owners: corsepiu
Branches: F-7 F-8
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-01 12:35:53 EST
cvs done.
Comment 6 Parag AN(पराग) 2008-02-06 20:51:43 EST
Closing this as this package has been successfully built for all requested
branches on build server.
Comment 7 Ralf Corsepius 2008-02-06 22:16:10 EST
(In reply to comment #6)
> Closing this as this package has been successfully built for all requested
> branches on build server.
I am closing review requests when packages have been pushed to the repos.

So far, for reasons incomprehensible to me, this hasn't happened yet.
Comment 8 Parag AN(पराग) 2008-02-06 22:32:52 EST
(In reply to comment #7)
> (In reply to comment #6)
> > Closing this as this package has been successfully built for all requested
> > branches on build server.
> I am closing review requests when packages have been pushed to the repos.
> 
> So far, for reasons incomprehensible to me, this hasn't happened yet.
> 

and I just only followed whats written on
http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess

Step 13: Close the bugzilla ticket (assuming that the package built successfully)
Comment 9 Parag AN(पराग) 2008-02-06 22:46:03 EST
I got confused here. When I look for this package in bodhi, I got this link
https://admin.fedoraproject.org/updates/F8/FEDORA-2008-1420
This shows that this package pushed to stable repo on 5th Feb 2008
Release:  	Fedora 8
Update ID: 	FEDORA-2008-1420
Status: 	stable
Type: 	enhancement
Karma: 	0
Pushed: 	True
Date Pushed: 	2008-02-05 23:18:14
Submitter: 	corsepiu
Submitted: 	2008-02-02 15:55:34
Close bugs: 	True
	
But I can't see that here
http://download.fedora.redhat.com/pub/fedora/linux/updates/8/i386/
But I can see SRPM at
http://download.fedora.redhat.com/pub/fedora/linux/updates/8/SRPMS/
Comment 10 Ralf Corsepius 2008-02-06 23:09:00 EST
(In reply to comment #9)
> I got confused here. When I look for this package in bodhi, I got this link
> https://admin.fedoraproject.org/updates/F8/FEDORA-2008-1420
Exactly. 

I requested this package to be pushed Feb 02, rel-rel claimed to have done so
Feb 05, today it's Feb. 07 and nothing has happened :(
Comment 11 Xavier Bachelot 2009-01-22 10:33:41 EST
Ralf, I know you're not participating in EPEL, but you offered to let me maintain your packages there if needed. I need to update rt3 to 3.6.7 in EPEL, so here's the branch request.

Regards,
Xavier


Package Change Request
======================
Package Name: perl-CSS-Squish
New Branches: EL-5
Owners: xavierb
Comment 12 Kevin Fenzi 2009-01-23 18:41:58 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.